## assrender assrender — Renders ASS/SSA subtitles with libass |

## Synopsis

                        GstAssRender;

## Properties

      "embeddedfonts"            gboolean              : Read / Write
      "enable"                   gboolean              : Read / Write

## Description

Renders timestamped SSA/ASS subtitles on top of a video stream.

### Example launch line

    1
    gst-launch -v filesrc location=/path/to/mkv ! matroskademux name=d ! queue ! mp3parse ! mad ! audioconvert ! autoaudiosink  d. ! queue ! ffdec_h264 ! ffmpegcolorspace ! r.   d. ! queue ! "application/x-ass" ! assrender name=r ! ffmpegcolorspace ! autovideosink

This pipeline demuxes a Matroska file with h.264 video, MP3 audio and embedded ASS subtitles and renders the subtitles on top of the video.

## Details

### GstAssRender

    typedef struct {
      GstElement element;

      GstPad *video_sinkpad, *text_sinkpad, *srcpad;

      /* properties */
      gboolean enable, embeddedfonts;
    } GstAssRender;

## Property Details

### The `"embeddedfonts"` property

      "embeddedfonts"            gboolean              : Read / Write

Extract and use fonts embedded in the stream.

Default value: TRUE

### The `"enable"` property

      "enable"                   gboolean              : Read / Write

Enable rendering of subtitles.

Default value: TRUE